Usage
Retrieve resource-usage consumption records and reports for billing.
Resource base path: /restapi/usage
| Method | Path | Description |
|---|---|---|
GET | /restapi/usage/usageConsumptionList | Usage Consumption List |
GET | /restapi/usage/usageConsumptionListWithSubDomain | Usage Consumption List with Sub Domain |
GET | /restapi/usage/usageReportList | Usage Report List |
GET | /restapi/usage/usageProgressStatus | Daily Usage Progress Status |
note
apikey and secretkey are required HTTP headers on every request and are omitted from the parameter tables below. See Authentication.
Usage Consumption List
Usage Consumption List.
GET /restapi/usage/usageConsumptionList
Parameters
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
period | query | string | ✅ Yes | Reporting period. |
customer | query | string | No | Customer identifier (optional filter). |
Example request
curl -X GET \
"https://portal.your-domain.com/restapi/usage/usageConsumptionList?period=VALUE" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"
Responses
| Code | Description |
|---|---|
200 | Successful operation. |
401 | Invalid authentication credentials. |
550 | Permission denied. |
"<string payload>"
Usage Consumption List with Sub Domain
Usage Consumption List with Sub Domain.
GET /restapi/usage/usageConsumptionListWithSubDomain
Parameters
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
period | query | string | ✅ Yes | Reporting period. |
customer | query | string | No | Customer identifier (optional filter). |
Example request
curl -X GET \
"https://portal.your-domain.com/restapi/usage/usageConsumptionListWithSubDomain?period=VALUE" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"
Responses
| Code | Description |
|---|---|
200 | Successful operation. |
401 | Invalid authentication credentials. |
550 | Permission denied. |
"<string payload>"
Usage Report List
Usage Report List.
GET /restapi/usage/usageReportList
Parameters
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
periodFrom | query | string | ✅ Yes | |
periodTo | query | string | ✅ Yes | |
customer | query | string | No | Customer identifier (optional filter). |